Foxit PDF SDK

Instance Methods | Properties | List of all members
FSRMSEncryptData Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithIs_encrypt_metadata:publish_license:server_eul_list:irm_version:
| Constructor, with parameters. More...
(id) | - initWithOther:
| Constructor, with another RMS encrypt data object. More...
(void) | - set:publish_license:server_eul_list:irm_version:
| Set value. More...

## Properties
float | irm_version
| Microsoft IRM version. It should be above 1. If input version is below 1, Foxit PDF SDK will use 1 as version by default. Default value: 1.0.
BOOL | is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. YES means to encrypt metadata, and NO means not to encrypt metadata.
NSString * | publish_license
| The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string. More...
NSArray< NSData * > * | server_eul_list
| A string array that contains pairs of strings to represent content of a dictionary object which is encoded Server EUL. More...

## Detailed Description

This class represents some data used for class FSRMSSecurityHandler .

## Method Documentation

## ◆ initWithIs_encrypt_metadata:publish_license:server_eul_list:irm_version:()

- (id) initWithIs_encrypt_metadata: |  | (BOOL) | is_encrypt_metadata
publish_license: |  | (NSString *) | publish_license
server_eul_list: |  | (NSArray<NSData *> *) | server_eul_list
irm_version: |  | (float) | irm_version

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | YES means to encrypt metadata, and NO means not to encrypt metadata.
  [in] | publish_license | The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string. This field contains the publishing license from Microsoft IRM services or a comparable IRM service. The original data of Publishing License should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class FSCodec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class FSCodec if necessary.
  [in] | server_eul_list | In this string array, the count of strings should be multiply of 2. 2 strings are in a pair, and each pair represents content of a dictionary object which is encoded Server EUL. For each pair, the first string is ServerID, and the second one is ServerEUL. The original data of Server ID and Server EUL should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class FSCodec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class FSCodec if necessary. An empty array means not use such information.
  [in] | irm_version | Microsoft IRM version. It should be above 1. If input version is below 1, Foxit PDF SDK will use 1 as version by default. Default value: 1.0.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSRMSEncryptData*) | other |

Constructor, with another RMS encrypt data object.

Parameters

  [in] | other | Another RMS encrypt data object.

## ◆ set:publish_license:server_eul_list:irm_version:()

- (void) set: |  | (BOOL) | is_encrypt_metadata
publish_license: |  | (NSString *) | publish_license
server_eul_list: |  | (NSArray<NSData *> *) | server_eul_list
irm_version: |  | (float) | irm_version

Set value.

Parameters

  [in] | is_encrypt_metadata | YES means to encrypt metadata, and NO means not to encrypt metadata.
  [in] | publish_license | The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string. This field contains the publishing license from Microsoft IRM services or a comparable IRM service. The original data of Publishing License should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class FSCodec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class FSCodec if necessary.
  [in] | server_eul_list | In this string array, the count of strings should be multiply of 2. 2 strings are in a pair, and each pair represents content of a dictionary object which is encoded Server EUL. For each pair, the first string is ServerID, and the second one is ServerEUL. The original data of Server ID and Server EUL should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class FSCodec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class FSCodec if necessary. An empty array means not use such information.
  [in] | irm_version | Microsoft IRM version. It should be above 1. If input version is below 1, Foxit PDF SDK will use 1 as version by default. Default value: 1.0.

Returns
  None.

## Property Documentation

## ◆ publish_license

- (NSString *) publish_license
| read write nonatomic weak

The Encoded Publishing License issued from server to the Content publisher, in ASCII encoding. This should not be an empty string.

This field contains the publishing license from Microsoft IRM services or a comparable IRM service. The original data of Publishing License should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class FSCodec for Flate compression algorithm and Base-64 Encryption algorithm. Please refer to class FSCodec if necessary.

## ◆ server_eul_list

- (NSArray< NSData * > *) server_eul_list
| read write nonatomic weak

A string array that contains pairs of strings to represent content of a dictionary object which is encoded Server EUL.

In this string array, the count of strings should be multiply of 2. 2 strings are in a pair, and each pair represents content of a dictionary object which is encoded Server EUL.
For each pair, the first string is ServerID, and the second one is ServerEUL. The original data of Server ID and Server EUL should be compressed by Flate compression algorithm at first, and then encoded by Base-64 Encryption algorithm. Foxit PDF SDK offers functions in class FSCodec for Flate compression algorithm and Base-64 Encryption algorithm.Please refer to class FSCodec if necessary.
An empty array means not use such information.